PublicApiUpdateGroup
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"targetVersion": 4503599627370495,
"name": "<string>",
"permissions": []
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({targetVersion: 4503599627370495, name: '<string>', permissions: []})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"permissions": [
"campaign:create"
],
"isSystem": false,
"memberCount": 4503599627370495,
"targetVersion": 4503599627370495
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Team
PublicApiUpdateGroup
PATCH /api/v1/organizations//groups/
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
groups
/
{groupId}
PublicApiUpdateGroup
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"targetVersion": 4503599627370495,
"name": "<string>",
"permissions": []
}
'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({targetVersion: 4503599627370495, name: '<string>', permissions: []})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"permissions": [
"campaign:create"
],
"isSystem": false,
"memberCount": 4503599627370495,
"targetVersion": 4503599627370495
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Headers
Required string length:
1 - 200Path Parameters
Minimum string length:
1Minimum string length:
1Body
application/json
- Option 1
- Option 2
Required range:
0 <= x <= 9007199254740991Required string length:
1 - 80Required array length:
1 - 82 elementsAvailable options:
campaign:create, campaign:edit, campaign:delete, campaign:view, campaign:launch, campaign:pause, contact:create, contact:edit, contact:delete, contact:view, contact:import, contact_list:create, contact_list:edit, contact_list:delete, contact_list:view, connector:connect, connector:disconnect, connector:view, inbox:view, inbox:reply, inbox:approve_draft, inbox:reject_draft, kb:create, kb:edit, kb:delete, kb:view, offering:create, offering:edit, offering:delete, offering:view, tracking_domain:create, tracking_domain:delete, tracking_domain:view, domain_auth:view, domain_auth:create, deal:create, deal:edit, deal:delete, deal:view, deal:move_stage, deal:set_status, pipeline:create, pipeline:edit, pipeline:delete, pipeline:view, company:create, company:edit, company:delete, company:view, activity:create, activity:view, scheduled_activity:create, scheduled_activity:edit, scheduled_activity:delete, scheduled_activity:view, suppression:view, blocked_domain:view, blocked_domain:manage, direct_email:send, direct_email:approve, org:settings, org:billing, org:transfer, org:delete, org:view, member:invite, member:remove, member:suspend, member:view, group:create, group:edit, group:delete, group:assign, domain_allowlist:view, domain_allowlist:manage, workspace:create, workspace:view, workspace:delete, workspace:settings, api_key:view, api_key:create, api_key:revoke Response
Successful response
Show child attributes
Show child attributes